> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heaven.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Claim Creator Trading Fee Transaction

> Generate a Base64 encoded creator fee claim transaction for client-side signing and submission.



## OpenAPI

````yaml /openapi.json post /tx/claim-creator-trading-fees
openapi: 3.1.0
info:
  title: heaven-tx-api
  description: ''
  license:
    name: ''
  version: 0.1.14
servers:
  - url: https://tx.api.heaven.xyz
security: []
tags:
  - name: heaven-api
    description: Heaven API
paths:
  /tx/claim-creator-trading-fees:
    post:
      tags:
        - Standard Pool API
      summary: Create Claim Creator Trading Fee Transaction
      description: >-
        Generate a Base64 encoded creator fee claim transaction for client-side
        signing and submission.
      operationId: create_claim_creator_trading_fee_tx
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateClaimCreatorTradingFeeTxRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateClaimCreatorTradingFeeTxResponse'
components:
  schemas:
    CreateClaimCreatorTradingFeeTxRequest:
      type: object
      required:
        - mint
        - version
        - payer
        - program_id
        - amount
      properties:
        amount:
          type: integer
          description: 'Amount of creator trading fees (Lamports) to claim '
          default: 0
          minimum: 0
        compute_unit_limit:
          type:
            - integer
            - 'null'
          description: Compute unit limit for the transaction
          default: 130000
          minimum: 0
        compute_unit_price:
          type:
            - integer
            - 'null'
          description: Compute unit price for the transaction
          default: 20000000
          minimum: 0
        mint:
          type: string
          description: Mint address of the liquidity pool
          default: LiGHtkg3uTa9836RaNkKLLriqTNRcMdRAhqjGWNv777
          example: LiGHtkg3uTa9836RaNkKLLriqTNRcMdRAhqjGWNv777
        payer:
          type: string
          description: Payer of the transaction
          default: 5KQwrPbwdL6PhXujxW37FSSQZ1JiwsST4cqQzDeyXtP79zk
          example: 5KQwrPbwdL6PhXujxW37FSSQZ1JiwsST4cqQzDeyXtP79zk
        program_id:
          type: string
          description: Program ID of the Heaven DEX program
          default: HEAVENoP2qxoeuF8Dj2oT1GHEnu49U5mJYkdeC8BAX2o
          example: HEAVENoP2qxoeuF8Dj2oT1GHEnu49U5mJYkdeC8BAX2o
        version:
          type: integer
          description: Protocol config version of the liquidity pool
          default: 2
          minimum: 0
    CreateClaimCreatorTradingFeeTxResponse:
      type: object
      required:
        - tx
      properties:
        tx:
          type: string
          description: Base64 encoded transaction

````